#include "float.h"
#include "aspen_devel.h"


extern "C" void
API(SSYMVu_lu) ( const int n,
	const scalar_t * A, const int lda,
	const scalar_t * x, scalar_t * y,
        const scalar_t alpha, const scalar_t beta )
{
//
// y = a*A*x + b*y
//

	API(STRMV_n_upper_for_SSYMV) ( alpha, beta, A, x, y, lda, n );
	API(STRMV_t_upper_for_SSYMV) ( alpha, beta, A, x, y, lda, n );
}

