#!/bin/sh

Do ()
{

for BLK in \
        0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20
do

	awk '{print $0" "'$BLK'}' mat.$BLK
	
done

}

Do | sort | \
	awk 'BEGIN{ NN=0; }\
		{ \
			if(NN!=$1&&NN>0){ \
				s = 0; Fx = 0; \
				for ( p in F ) { \
					if ( Fx < F[p] ) { \
						Fx = F[p]; s = p; \
					} \
				} \
				print NN" "s; \
			} \
			NN=$1; p=$3; F[p]=$2; \
		}' | \
	awk 'BEGIN{ id=-1; } \
		{ \
			if ( $2 == id ) next; \
			print $0; id = $2; \
		}'  | \
	awk 'BEGIN{ i=0; for(j=0;j<=20;j++) kernel[j]=0; } \
		{ s[i]=$1; id[i]=$2; i++; kernel[$2]=1; } \
		END{ \
			for(j=0;j<=20;j++){ \
				print "#define\tKERNEL_"j"\t"kernel[j]; \
			} \
			printf("\n"); \
			s[i] = 1000000; \
			for(j=0;j<i;j++){\
				print "if ( n >= "s[j]" && n < "s[j+1]" ) {"; \
				print "\tBLK = "id[j]";"; \
				print "} else"; \
			} \
			print "\t;"; \
		}' > ssymv-upper-auto2.h
cp ssymv-upper-auto2.h ../
cat ssymv-upper-auto2.h

cd ../../src
\rm ssymv_upper-*.cu_o
make -f Makefile.at
cd ../bench
\rm test-f.o test2-f.o
make test-s
cd ../tuning/ssymv-current

